Bug 1397764 - unable to add a puppet module from satellite GUI
Summary: unable to add a puppet module from satellite GUI
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Content Views
Version: 6.2.4
Hardware: x86_64
OS: Linux
unspecified
medium vote
Target Milestone: Unspecified
Assignee: John Mitsch
QA Contact: Walden Raines
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-11-23 10:23 UTC by Giridhar
Modified: 2021-06-10 11:42 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-02-21 16:51:07 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 17930 0 None None None 2017-01-05 01:07:41 UTC

Description Giridhar 2016-11-23 10:23:14 UTC
Description of problem:
Unable to add a puppet module to content view from satellite GUI when there are so many puppet modules with more than one version of the same module

Version-Release number of selected component (if applicable):
6.2.4 and 3.8

How reproducible:
Always

Steps to Reproduce:
1.sync the puppet forge
2.add 10 to 15 versions of same module for some modules
3.create a content view and try adding a puppet module(In my case the cu was trying to add razoredges network module)
4.initially the module would appear and while selecting the version it would again take you back to the modules that have the search content in their summary.
5.if there are somany modules in the repo then we will not find the complete list in the page and there is no option to go to the second page.
6.as the required module isn't available we are not able to add it.

Actual results:

the required module isn't available

Expected results:

we should be able to select the next page and select the required module

Additional info:

Comment 1 Brad Buckingham 2017-01-05 01:07:39 UTC
Created redmine issue http://projects.theforeman.org/issues/17930 from this bug

Comment 3 Satellite Program 2017-03-03 17:08:07 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/17930 has been resolved.

Comment 4 Walden Raines 2017-08-02 18:15:59 UTC
Verified in 6.3.0 snap 9, I can now select any module version on any page.

Comment 6 Satellite Program 2018-02-21 16:51:07 UTC
Since the problem described in this bug report should be resolved in a recent advisory, it has been closed with a resolution of ERRATA.
> 
> For information on the advisory, and where to find the updated files, follow the link below.
> 
> If the solution does not work for you, open a new bug report.
> 
> https://access.redhat.com/errata/RHSA-2018:0336


Note You need to log in before you can comment on or make changes to this bug.